Subject: Re: [PATCH net 0/3] Bug fixes for cxgb4 and cxgb4vf

From: Vipul Pandya <[email-masked]>
Date: Mon, 29 Apr 2013 20:19:28 +0530

On 29-04-2013 19:34, Vipul Pandya wrote:
> Hi All,
> 
> This patch series does the following:
> 1. Passes correct PF number during initialization of pci_device_id structure
> 2. Adds code in cxgb4 and cxgb4vf driver to handle CPL_SGE_EGR_UPDATE message
>    encapsulated in a CPL_FW4_MSG.
> 
> We would like to request this patch series to get merged via David Miller's
> 'net' tree.
> 
> Thanks,
> Vipul
> 
> Vipul Pandya (3):
>   cxgb4: Fix pci_device_id structure initialization with correct PF
>     number
>   cxgb4: Support CPL_SGE_EGR_UPDATEs encapsulated in a CPL_FW4_MSG
>   cxgb4vf: Support CPL_SGE_EGR_UPDATEs encapsulated in a CPL_FW4_MSG
> 
>  drivers/net/ethernet/chelsio/cxgb4/cxgb4_main.c    | 107 +++++++++++++--------
>  drivers/net/ethernet/chelsio/cxgb4/t4_msg.h        |  11 +++
>  drivers/net/ethernet/chelsio/cxgb4/t4fw_api.h      |  38 +++++++-
>  .../net/ethernet/chelsio/cxgb4vf/cxgb4vf_main.c    |  25 +++++
>  4 files changed, 140 insertions(+), 41 deletions(-)
> 

Hi David Miller,

I have forgotten to check if 'net' and 'net-next' tree are in sync or
not. I am sorry for that. This patch series is built against net-next
tree. Since these are bug fixes we wanted to merge it via 'net' tree.
However now I see that required patches are missing in 'net' tree. To be
able to successfully apply this patch series in 'net' tree we need
patches from commit 47ce9c482 (cxgb4: Allow for backward compatibility
with new VPD scheme.) into 'net' tree. If it is not possible to apply
those patches into 'net' tree then please apply this patch series
against 'net-next'. Please let me know if I have to resend the series.

Thanks,
Vipul